Index: configure.ac
===================================================================
RCS file: /cvs/openssh/configure.ac,v
retrieving revision 1.84
diff -u -r1.84 configure.ac
--- configure.ac	23 Jul 2002 00:00:06 -0000	1.84
+++ configure.ac	27 Jul 2002 05:36:15 -0000
@@ -769,9 +769,13 @@
 AC_MSG_CHECKING([whether OpenSSL's headers match the library])
 AC_TRY_RUN(
 	[
+#include <stdio.h>
 #include <string.h>
 #include <openssl/opensslv.h>
-int main(void) { return(SSLeay() == OPENSSL_VERSION_NUMBER ? 0 : 1); }
+int main(void) {
+	fprintf(stderr,"OpenSSL library %x headers %x\n", SSLeay(), OPENSSL_VERSION_NUMBER);
+	exit(SSLeay() == OPENSSL_VERSION_NUMBER ? 0 : 1); 
+}
 	],
 	[
 		AC_MSG_RESULT(yes)
